mutation CreateVendorDefaultSetting(
  $vendorName: String!,
  $defaultMarkupPercentage: Float!,
  $defaultVendorFeePercentage: Float!
) @auth(level: USER) {
  vendorDefaultSetting_insert(
    data: {
      vendorName: $vendorName
      defaultMarkupPercentage: $defaultMarkupPercentage
      defaultVendorFeePercentage: $defaultVendorFeePercentage
    }
  )
}

mutation UpdateVendorDefaultSetting(
  $id: UUID!,
  $vendorName: String,
  $defaultMarkupPercentage: Float,
  $defaultVendorFeePercentage: Float
) @auth(level: USER) {
  vendorDefaultSetting_update(
    id: $id,
    data: {
      vendorName: $vendorName
      defaultMarkupPercentage: $defaultMarkupPercentage
      defaultVendorFeePercentage: $defaultVendorFeePercentage
    }
  )
}

mutation DeleteVendorDefaultSetting(
  $id: UUID!
) @auth(level: USER) {
  vendorDefaultSetting_delete(id: $id)
}
